%define name distcache
%define version 1.4.2
%define release 0.3mdk

%define	major 1
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Summary:	Programs to provide a distributed session caching architecture
Version:	%{version}
Release:	%{release}
Source0:	http://download.sourceforge.net/distcache/%{name}-%{version}dev.tar.bz2
Source1:	dc_server.init.bz2
Source2:	dc_server.conf.bz2
URL:		http://www.distcache.org/
License:	LGPL
Group:		System/Servers
PreReq:		rpm-helper
Requires:	%{libname} = %{version}
BuildRequires:	openssl-devel
BuildRequires:	chrpath
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
This package provides tools from the distcache project to deploy a
distributed session caching environment. This is most notably
useful for SSL/TLS session caching with supported OpenSSL-based
applications. The caching protocol and API is independent of
SSL/TLS specifics and could be useful in other (non-SSL/TLS)
circumstances.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Obsoletes:	lib%{name}  = %{version}
Provides:	lib%{name} = %{version}

%description -n %{libname}
This package provides tools from the distcache project to deploy a
distributed session caching environment. This is most notably
useful for SSL/TLS session caching with supported OpenSSL-based
applications. The caching protocol and API is independent of
SSL/TLS specifics and could be useful in other (non-SSL/TLS)
circumstances.

%package -n %{libname}-devel
Summary:	Libraries and header files for building distcache-compatible software
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	%{name}-devel = %{version}

%description -n %{libname}-devel
This package includes the libraries and header files from
the distcache project that are required to compile
distcache-compatible software.

%package -n %{libname}-static-devel
Summary:	Static libraries for building distcache-compatible software
Group:		Development/C
Requires:	%{libname}-devel = %{version}

%description -n %{libname}-static-devel
This package includes the static libraries from the distcache
project that are required to compile distcache-compatible
software.

%package sslswamp
Summary:	Utility for testing and benchmarking SSL/TLS servers
Group:		System/Servers
Requires:	libopenssl0.9.7
Requires:	%{libname} = %{version}

%description sslswamp
This package provides the sslswamp utility for benchmarking and
testing SSL/TLS servers. This utility used to be known as just
'swamp' but has been renamed as part of its inclusion into the
distcache package. The most common use of this tool is for testing
HTTPS (secure) web servers though it could be useful for other
SSL/TLS cases.

%prep

%setup -q -n %{name}-%{version}dev

bzcat %{SOURCE1} > dc_server.init
bzcat %{SOURCE2} > dc_server.conf

%build

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}

install -m755 dc_server.init %{buildroot}%{_initrddir}/dc_server
install -m644 dc_server.conf %{buildroot}%{_sysconfdir}/dc_server.conf
mv %{buildroot}%{_bindir}/dc* %{buildroot}%{_sbindir}/

# delete rpath
chrpath -d %{buildroot}%{_bindir}/sslswamp

%post
%_post_service dc_server

%preun
%_preun_service dc_server

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc ANNOUNCE BUGS CHANGES FAQ README
%config(noreplace) %attr(0755,root,root) %{_initrddir}/dc_server
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/dc_server.conf
%attr(0755,root,root) %{_sbindir}/dc_client
%attr(0755,root,root) %{_sbindir}/dc_server
%attr(0755,root,root) %{_sbindir}/dc_snoop
%attr(0755,root,root) %{_sbindir}/dc_test
%{_mandir}/man1/d*.1*
%{_mandir}/man8/d*.8*

%files sslswamp
%defattr(-,root,root)
%{_mandir}/man1/s*.1*
%{_bindir}/sslswamp
%{_datadir}/swamp

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/libnal
%{_includedir}/distcache
%{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}/man2/*.2*

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Tue Jul 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.2-0.3mdk
- please mr distlint

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.2-0.2mdk
- rebuild

* Tue Jun 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.2-0.1mdk
- 1.4.2dev provides shared libraries as well
- delete rpath with chrpath

* Sun Jun 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.1-2mdk
- fixed requires and buildrequires.
- added S1 & S2
- misc spec file fixes

* Sun Jun 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.1-1mdk
- initial cooker contrib
- used and fixed the provided spec file
